Redmine - Defect #13790

CSV Export problem
2013-04-17 12:31 - Zaq1 Dev

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.3.0
Description

I will try and be as explanatory as possible, | have tried to find a solution, but couldnt but when | investigated the issues its missing a
key variable, explanation goes below!

| installed the latest redmine version 2.3.0, last week and am onto 2nd week of testing, going successfully and smoothly, except for
one thing:

| navigated to http://MY_LOCAL_|P:8000/time_entries/

When | apply any filter, the atom exports fine with filtered results only, but export to csv returns all the results.
Since | am a programmer, but in PHP, | tried to investigate the issue and found following:

ATOM URL:
time_entries.atom?c[]=project&c[]=spent_on&c[]=user&c[]=activity&c[]=issue&c[]=comments&c[]=hours&f[]=spent_on&f[]=user_id&f[]
=&key=7bd4ae99e59fad79fab2557b444b0845d9d9b720&0p[spent_on]=*&op[user_id]==&utf8=l&v[user_id][]=4

CSV URL:
time_entries.csv?c[]=project&c[]=spent_on&c[]=user&c[]=activity&c[]=issue&c[]=comments&c[]=hours&f[]=spent_on&f[]=user_id&f[]=
&op[spent_on]=*&op[user_id]==&utf8=|]&v[user_id][]=4

Difference between the 2 is very minor, CSV URL is missing the KEY variable, when | added the key variable and tested, it gave me
correct CSV file with filtered output.

Since | am not vey well versed with Ruby and Rails, It is difficult for me to actually go through the model/views and controller,
however | am still trying myself if | come across a solution | will share it with you folks, but if there is someone out there who can point
it out to me explicitly on where to make the change it will make my life alot easier.

Thanks & Regards,

ZAQ

Related issues:
Is duplicate of Redmine - Defect #13618: CSV export of spent time ignores fil... Closed

History

#1 - 2013-04-17 13:53 - Zaq1 Dev

The solution | posted isnt working! | suppose the key was only for my id, so its not doing as expected.

Ultimately what needs to be achieved is simple, only the filtered results should be exported in CSV, which now isnt exporting in CSV, in atom it is fine.

#2 - 2013-04-18 08:31 - Zaq1 Dev

Can Anyone confirm me this bug exists? am | doing anything wrong here?

#3 - 2013-04-19 22:50 - Filou Centrinov
Duplicate: #13618

#4 - 2013-04-20 10:56 - Toshi MARUYAMA

- Status changed from New to Closed
http://MY_LOCAL_IP:8000/time_entries/
https://www.redmine.org/issues/13618

- Resolution set to Duplicate

Filou Centrinov wrote:

Duplicate: #13618

Thank you for your pointing.

2025-08-23 22


https://www.redmine.org/issues/13618
http://www.tcpdf.org

